# Volet_Base

## Props

<!-- @vuese:Volet_Base:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|auteur|L'auteur connecté|—|`false`|-|
|contenuAjoute|Permet de stocker un contenu ajouté|—|`false`|-|
|nvoContenu|Permet de stocker un 'nouveau contenu' ajouté|—|`false`|-|

<!-- @vuese:Volet_Base:props:end -->


## Events

<!-- @vuese:Volet_Base:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|choix_variante|-|-|
|newContenu|Evenement pour lancer le composant de création de contenu|-|

<!-- @vuese:Volet_Base:events:end -->


## Methods

<!-- @vuese:Volet_Base:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|contenusDuPanier|Charger les contenus du panier de l'auteur connecté|-|
|contenusDeLaBanque|Charger les contenus de la banque (adaptés à l'auteur connecté)|-|
|desactiverVolet|Masquer ou afficher le volet latéral|-|
|ajusterMode|Bascule entre le mode panier et le mode banque|-|
|passerFiltre|Passer le filtre choisi (pour Volet_Contenu)|-|
|changerVariante|Changer variante (à destination du composant Menu)|-|
|supprimerContenus|Supprimer des contenus ou mettre des contenus en tiers|-|
|ajouterContenu|Evenement pour lancer le composant de création de contenu|-|
|chargerContenu|Charger un contenu (dans Consulter_COntenu)|-|
|retourArriere|Retour de Consulter_Contenu à Volet_Base|-|
|actionContenu|Récupération de lm'action choisie dans Consulter_Contenu, parmi les 4 possibilités : mettre en favori, modifier, supprimer et validerModification / Demander la Publication|-|
|ajouterCoche|Sauvegarde des éléments cochés. Pour suppression (en mode banque) ou mise en tiers (en mode|-|
|rechercherTexte|Récupération du texte d'un contenu|-|
|choixModif|Retour du composant Modifier_Contenu : soit retour direct, soit modification du contenu à faire|-|
|filtresChoisis|Application des filtres choisis au contenu affiché (mode Banque et Panier)|-|

<!-- @vuese:Volet_Base:methods:end -->


## Computed

<!-- @vuese:Volet_Base:computed:start -->
|Computed|Type|Description|From Store|
|---|---|---|---|
|filterContenu|-|Permet de ne pas afficher les contenus en cours ayant fait l'objet d'une demande de publication|No|

<!-- @vuese:Volet_Base:computed:end -->


## Watch

<!-- @vuese:Volet_Base:watch:start -->
|Name|Description|Parameters|
|---|---|---|
|auteur|Dès que l'auteur est connu, on charge tous les contenus auxquels il pourrait s'intéresser|-|
|contenuAjoute|Mise à jour de l'array des contenus en cas de création de contenu|-|
|nvoContenu|Mise à jour de l'array des contenus en cas de création de 'nouveau contenu' (sur les cendres d'une demande de publication refusée)|-|

<!-- @vuese:Volet_Base:watch:end -->


